#!/usr/bin/python3

#Program: loom_merge.py
#Author: Jae-Won,Cho
#Date: 20211017(Sun)~
#Description: merging loom files

#Usage : ./loom_merge.py [loom_list]
#running directory: ~/sfa_jaewon/IBD/rna_velocity


import loompy
import sys

file_list = list(line.strip() for line in open(sys.argv[1]))
loompy.combine(file_list, "merge_dana_nofilter.loom", key = "Accession")


