#!/usr/bin/python

#Program: loom_prefilter.py
#Author: Jae-Won,Cho
#Date: 20211017(Sun)~
#Description: filtering merged loom

#Usage : ./loom_prefilter.py [loom object: merge_ibd_nofilter.loom][total loom ID: total_loom_id.csv]

#R
#load("total_loom_id")
#write.csv(total$loom_id, file = "total_loom_id.csv", row.names = F)


import scvelo as scv
import os, sys
import anndata
import pandas as pd
import numpy as np


data = anndata.read_loom(sys.argv[1])
sample_obs = pd.read_csv(sys.argv[2])

data = data[np.isin(data.obs.index,sample_obs["x"])]

data.write_loom(filename = "merge_tcell_filter.loom")


