#!/usr/bin/python

#Program: cell_cell_merge.py
#Author: Jae-Won,Cho
#Date: 20211214(Tue)
#Description: merging the pair of the link

#Usage:./cell_cell_merge.py [cell_net]
import sys,os, math
import operator


data = open(sys.argv[1], 'r')
save = open(sys.argv[1] + "_merge", 'w')

pair_dict = {}
for line in data:
        line = line.strip()
        a1,a2,score = line.split("\t")
        pair = [a1,a2]
        pair.sort()
        pair2 = "\t".join(pair)
        if pair2 not in pair_dict:
            pair_dict[pair2] = 0
        pair_dict[pair2] += int(score)


for pair in pair_dict:
    save.write(pair + "\t" + str(pair_dict[pair]) + "\n")

save.close()
data.close()

