#!/usr/bin/python3
#Author: Jae-Won,Cho
#Update: 20220519(Thur)
#usage: cell_diff.py [Hashtag1][Hashtag2]
#diff: hashtag1 - hashtag2


import sys,os


data1 = open(sys.argv[1] + "_cellphonedb_net_merge.txt", 'r')
data2 = open(sys.argv[2] + "_cellphonedb_net_merge.txt", 'r')


save = open(sys.argv[1] + "_" + sys.argv[2] + "_net_merge_diff", 'w')


pair1_set = set()
pair1_dict = {}
for line in data1:
	line = line.strip()
	a,b,c = line.split("\t")
	[a,b] = sorted([a,b])
	pair = a+"\t"+b
	pair1_dict[pair] = int(c)
	pair1_set.add(pair)

data1.close()


res = {}
for line in data2:
	line = line.strip()
	a,b,c = line.split("\t")
	[a,b] = sorted([a,b])
	pair = a+"\t"+b
	c = int(c)
	if pair in pair1_dict:
		pair1_set.remove(pair)
		diff = pair1_dict[pair] - c
	else:
		diff = -1 * c

	res[pair] = diff
data2.close()

if len(pair1_set) != 0:
	for j in pair1_set:
		res[j] = pair1_dict[j]

import operator
sort_list = sorted(res.items(), key = operator.itemgetter(1), reverse = True)

for i in range(len(sort_list)):
	entity = sort_list[i][0]
	diff = str(sort_list[i][1])
	save.write(entity + "\t" + diff + "\n")

save.close()
	
