#!/usr/bin/python3
#Author: Jae-Won,Cho
#Update: 20220519(Thur)
#usage: cell_map.py [cell_cell net]



import sys,os


data = open(sys.argv[1], 'r')
save = open(sys.argv[1] + "_newname", 'w')


cell_dict = {'Cytotoxic_CD4_T': "Cytotoxic_CD4_T", 'CART_A716_CD4_2': "CM_CD4_T", 'TFH': "TFH_1", 'IFNG_NK_like_TFH': "TFH_2",'KLRB1_CD4_T': "Activated_CD4_T",'CART_A716_CD8': "Cytotoxic_CD8_T_1",'CART_G36_CD8': "Cytotoxic_CD8_T_2", 'Less_cytotoxic_TR_CD8_T': "Exhausted_TR_CD8_T_1", 'Exhausted_CD8_T': "Exhausted_TR_CD8_T_2", 'Activated_CD8_T': "Cytotoxic_CD8_T_3", 'IFN_activated_CD8_T': "Activated_CD8_T", 'NK_like_CD8_T': "Cytotoxic_CD8_T_4"}


for line in data:
	line = line.strip()
	cell1, cell2, score = line.split("\t")
	if cell1 not in cell_dict:
		new1 = cell1
	else:
		new1 = cell_dict[cell1]
	
	if cell2 not in cell_dict:
		new2 = cell2
	else:
		new2 = cell_dict[cell2]

	save.write(new1 + "\t" + new2 + "\t" + score + "\n")\

save.close()
data.close()

	
