#!/usr/bin/python3
#Author: Jae-Won,Cho
#Update: 20220519(Thur)
#usage: cell_map.py [cell_cell net]



import sys,os


data = open(sys.argv[1], 'r')
save = open(sys.argv[1] + "_newname", 'w')


cell_dict = {'CART_A716_CD4_1': "Cytotoxic_CD4_T", 'CART_A716_CD4_2': "CM_CD4_T", 'CART_A716_CD4_3': "TFH_1", 'CART_CD4_mixed': "TFH_2",'CD4_T1': "Activated_CD4_T",'CART_A716_CD8': "Cytotoxic_CD8_T_1",'CART_G36_CD8': "Cytotoxic_CD8_T_2", 'CD8_1': "Exhausted_TR_CD8_T_1", 'CD8_2': "Exhausted_TR_CD8_T_2", 'CD8_3': "Cytotoxic_CD8_T_3", 'CD8_4': "Activated_CD8_T", 'CD8_NK_like': "Cytotoxic_CD8_T_4"}


head = True
for line in data:
	line = line.strip()
	line_list = line.split("\t")
	if head:
		head = False
		for a in line_list:
			if a in cell_dict: 
				save.write(cell_dict[a] + "\t")
			else:
				save.write(a + "\t")
		save.write("\n")
		continue

	a = line_list[0]
	if a in cell_dict:
		save.write(cell_dict[a])
	else:
		save.write(a)

	for b in line_list[1:]:
		save.write("\t" + b)
	save.write("\n")
	
save.close()
data.close()

	
